| restover

## Function

Finds restriction enzymes that produce a specific overhang

## Description

The Restriction Enzyme database (REBASE) is a collection of information about restriction enzymes and related proteins. It contains published and unpublished references, recognition and cleavage sites, isoschizomers, commercial availability, methylation sensitivity, crystal and sequence data. DNA methyltransferases, homing endonucleases, nicking enzymes, specificity subunits and control proteins are also included. Most recently, putative DNA methyltransferases and restriction enzymes, as predicted from analysis of genomic sequences, are also listed.

The home page of REBASE is: http://rebase.neb.com/

restover takes a specified sequence and a short sequence of a cut-site overhang and searches the REBASE database for matching enzymes that create the desired overhang sequence when they cut the input sequence.

## Usage

Here is a sample session with restover

    % restover
    Finds restriction enzymes that produce a specific overhang
    Input sequence(s): tembl:hsfau
    Overlap sequence: cg
    Output file [hsfau.restover]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Sequence database USA
      [-seqcomp]           string     Overlap sequence
      [-outfile]           outfile    Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -min                integer    Minimum cuts per RE
       -max                integer    Maximum cuts per RE
       -single             boolean    Force single site only cuts
       -threeprime         boolean    Use 3' overhang e.g. BamHI has CTAG as a 5'
                                      overhang, and ApaI has CCGG as 3' overhang.
       -[no]blunt          boolean    Allow blunt end cutters
       -[no]sticky         boolean    Allow sticky end cutters
       -[no]ambiguity      boolean    Allow ambiguous matches
       -plasmid            boolean    Allow circular DNA
       -[no]commercial     boolean    Only enzymes with suppliers
       -datafile           datafile   Alternative RE data file
       -html               boolean    Create HTML output
       -[no]limit          boolean    Limits reports to one isoschizomer
       -alphabetic         boolean    Sort output alphabetically
       -fragments          boolean    Show fragment lengths
       -name               boolean    Show sequence name

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of each sequence to be used
       -send1               integer    End of each sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outfile" associated qualifiers
       -odirectory3         string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
[-seqcomp] (Parameter 2) | Overlap sequence | Any string is accepted | An empty string is accepted
[-outfile] (Parameter 3) | Output file name | Output file | <sequence>.restover
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-min | Minimum cuts per RE | Integer from 1 to 1000 | 1
-max | Maximum cuts per RE | Integer up to 2000000000 | 2000000000
-single | Force single site only cuts | Boolean value Yes/No | No
-threeprime | Use 3' overhang e.g. BamHI has CTAG as a 5' overhang, and ApaI has CCGG as 3' overhang. | Boolean value Yes/No | No
-[no]blunt | Allow blunt end cutters | Boolean value Yes/No | Yes
-[no]sticky | Allow sticky end cutters | Boolean value Yes/No | Yes
-[no]ambiguity | Allow ambiguous matches | Boolean value Yes/No | Yes
-plasmid | Allow circular DNA | Boolean value Yes/No | No
-[no]commercial | Only enzymes with suppliers | Boolean value Yes/No | Yes
-datafile | Alternative RE data file | Data file | File in the data file path
-html | Create HTML output | Boolean value Yes/No | No
-[no]limit | Limits reports to one isoschizomer | Boolean value Yes/No | Yes
-alphabetic | Sort output alphabetically | Boolean value Yes/No | No
-fragments | Show fragment lengths | Boolean value Yes/No | No
-name | Show sequence name | Boolean value Yes/No | No

## Input file format

restover reads in a normal nucleic acid sequence USA.

### Input files for usage example

'tembl:hsfau' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:hsfau

    ID   HSFAU      standard; RNA; HUM; 518 BP.
    XX
    AC   X65923;
    XX
    SV   X65923.1
    XX
    DT   13-MAY-1992 (Rel. 31, Created)
    DT   23-SEP-1993 (Rel. 37, Last updated, Version 10)
    XX
    DE   H.sapiens fau mRNA
    XX
    KW   fau gene.
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Primates; Catarrhini; Hominidae; Homo.
    XX
    RN   [1]
    RP   1-518
    RA   Michiels L.M.R.;
    RT   ;
    RL   Submitted (29-APR-1992) to the EMBL/GenBank/DDBJ databases.
    RL   L.M.R. Michiels, University of Antwerp, Dept of Biochemistry,
    RL   Universiteisplein 1, 2610 Wilrijk, BELGIUM
    XX
    RN   [2]
    RP   1-518
    RX   MEDLINE; 93368957.
    RA   Michiels L., Van der Rauwelaert E., Van Hasselt F., Kas K., Merregaert J.;
    RT   " fau cDNA encodes a ubiquitin-like-S30 fusion protein and is expressed as
    RT   an antisense sequences in the Finkel-Biskis-Reilly murine sarcoma virus";
    RL   Oncogene 8:2537-2546(1993).
    XX
    DR   SWISS-PROT; P35544; UBIM_HUMAN.
    DR   SWISS-PROT; Q05472; RS30_HUMAN.
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..518
    FT                   /chromosome="11q"
    FT                   /db_xref="taxon:9606"
    FT                   /organism="Homo sapiens"
    FT                   /tissue_type="placenta"
    FT                   /clone_lib="cDNA"
    FT                   /clone="pUIA 631"
    FT                   /map="13"
    FT   misc_feature    57..278
    FT                   /note="ubiquitin like part"
    FT   CDS             57..458
    FT                   /db_xref="SWISS-PROT:P35544"
    FT                   /db_xref="SWISS-PROT:Q05472"
    FT                   /gene="fau"
    FT                   /protein_id="CAA46716.1"
    FT                   /translation="MQLFVRAQELHTFEVTGQETVAQIKAHVASLEGIAPEDQVVLLAG
    FT                   APLEDEATLGQCGVEALTTLEVAGRMLGGKVHGSLARAGKVRGQTPKVAKQEKKKKKTG
    FT                   RAKRRMQYNRRFVNVVPTFGKKKGPNANS"
    FT   misc_feature    98..102
    FT                   /note="nucleolar localization signal"
    FT   misc_feature    279..458
    FT                   /note="S30 part"
    FT   polyA_signal    484..489
    FT   polyA_site      509
    XX
    SQ   Sequence 518 BP; 125 A; 139 C; 148 G; 106 T; 0 other;
         ttcctctttc tcgactccat cttcgcggta gctgggaccg ccgttcagtc gccaatatgc        60
         agctctttgt ccgcgcccag gagctacaca ccttcgaggt gaccggccag gaaacggtcg       120
         cccagatcaa ggctcatgta gcctcactgg agggcattgc cccggaagat caagtcgtgc       180
         tcctggcagg cgcgcccctg gaggatgagg ccactctggg ccagtgcggg gtggaggccc       240
         tgactaccct ggaagtagca ggccgcatgc ttggaggtaa agttcatggt tccctggccc       300
         gtgctggaaa agtgagaggt cagactccta aggtggccaa acaggagaag aagaagaaga       360
         agacaggtcg ggctaagcgg cggatgcagt acaaccggcg ctttgtcaac gttgtgccca       420
         cctttggcaa gaagaagggc cccaatgcca actcttaagt cttttgtaat tctggctttc       480
         tctaataaaa aagccactta gttcagtcaa aaaaaaaa                               518
    //

## Output file format

### Output files for usage example

### File: hsfau.restover

    # Restrict of HSFAU from 1 to 518
    #
    # Minimum cuts per enzyme: 1
    # Maximum cuts per enzyme: 2000000000
    # Minimum length of recognition site: 2
    # Number of hits with any overlap: 53
    # Base Number	Enzyme		Site		5'	3'	[5'	3']
    	11	TaqI            TCGA            11	13
    	28	AciI            CCGC            25	27
    	38	AciI            CCGC            38	40
    	44	BceAI           ACGGC           25	27
    	71	AciI            CCGC            71	73
    	73	Hin6I           GCGC            73	75
    	94	TaqI            TCGA            94	96
    	103	HpaII           CCGG            103	105
    	162	HpaII           CCGG            162	164
    	190	Hin6I           GCGC            190	192
    	192	Hin6I           GCGC            192	194
    	225	BsrI            ACTGG           221	219
    	229	AciI            CCGC            226	228
    	263	AciI            CCGC            263	265
    	380	AciI            CCGC            377	379
    	383	AciI            CCGC            380	382
    	395	HpaII           CCGG            395	397
    	398	Hin6I           GCGC            398	400
    	408	AclI            AACGTT          409	411
    	409	MaeII           ACGT            409	411

The output from restover is a simple text one. The base number, restriction enzyme name, recognition site and cut positions are shown. Note that cuts are always to the right of the residue shown and that 5' cuts are referred to by their associated 3' number sequence. The program reports enzymes that cut at two or four sites.

## Data files

The data files are stored in the REBASE directory of the standard EMBOSS data directory. The names are:

- embossre.enz Cleavage information
- embossre.ref Reference/methylation information
- embossre.sup Supplier information

The column information is described at the top of the data files

## Notes

The data files must have been created before running this program. This is done by running the rebaseextract program with the "withrefm" file from an REBASE release. You may have to ask your system manager to do this.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
recite | Find changes to an enzyme site that introduce new enzyme sites
recoder | Remove restriction sites but maintain the same translation
redata | Search REBASE for enzyme name, references, suppliers etc
remap | Display a sequence with restriction cut sites, translation etc
restrict | Finds restriction enzyme cleavage sites
showseq | Display a sequence with features, translation etc
silent | Silent mutation restriction enzyme scan

## Author(s)

Bernd Jagla (bernd © golgi.ski.mskcc.org)
Cellular Biochemistry and Biophysics Program, Rockefeller Research Laboratories, Memorial Sloan-Kettering Cancer Center, 1275 York Avenue, Box 251,New York, NY 10021.

## History

Written (Jan 2001) - Bernd Jagla

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments